import React, { Component } from 'react';
import { WebScene } from 'react-arcgis';

export default class Map extends Component {
    constructor(props){
        super(props);
        this.state = {
            
        };
    }

    render() {
        const { viewId, children, onMapLoad } = this.props;
        return (
            <span>
                <WebScene
                    id={viewId}
                    style={styles.mapContainer}
                    onLoad={onMapLoad}
                >
                    {children}
                </WebScene>
            </span>
        );
    }
}

const styles = {
    title: {
        fontSize: 30,
        color: 'blue',
    },
    mapContainer: {
        width: '100%',
        height: '80vh',
    }
};