import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { Widgets } from 'react-arcgis';
const Search = Widgets.Search;

import MapComponent from 'baierjak-ipr-simple-map';
console.log(MapComponent);

const domContainer = document.getElementById('app');

export default class App extends Component {
    onMapLoad = (map, view) => {
        this.setState({
            map,
            view,
        });
    }

    render() {
        return (
            <MapComponent
                viewId={'3582b744bba84668b52a16b0b6942544'}
                onMapLoad={this.onMapLoad}
            >
                <Search />
            </MapComponent>
        );
    }
}

ReactDOM.render((
    <App />
), domContainer);